# _GPPortPrivateCore Struct Reference

Internal private libgphoto2_port data. This structure contains private data. More...

## Data Fields

char | error [2048]
GPPortInfo | info
GPPortOperations * | ops
lt_dlhandle | lh

## Detailed Description

Internal private libgphoto2_port data. This structure contains private data.

## Field Documentation

char _GPPortPrivateCore::error[2048]

Internal kept error message.

GPPortInfo _GPPortPrivateCore::info

Internal port information of this port.

lt_dlhandle _GPPortPrivateCore::lh

Internal libtool library handle.

GPPortOperations* _GPPortPrivateCore::ops

Internal port operations.

The documentation for this struct was generated from the following file:

- libgphoto2_port/libgphoto2_port/gphoto2-port.c